Package org.lwjgl.opencl

# Class KHRTerminateContext

java.lang.Object
org.lwjgl.opencl.KHRTerminateContext

public final class KHRTerminateContext extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CL_CONTEXT_TERMINATE_KHR`
`static final int`
`CL_DEVICE_TERMINATE_CAPABILITY_KHR`

## Method Summary

Modifier and Type
Method
Description
`static int`
`clTerminateContextKHR(CLContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CL_DEVICE_TERMINATE_CAPABILITY_KHR

public static final int CL_DEVICE_TERMINATE_CAPABILITY_KHR

See Also:
  - Constant Field Values

### CL_CONTEXT_TERMINATE_KHR

public static final int CL_CONTEXT_TERMINATE_KHR

See Also:
  - Constant Field Values

## Method Details

### clTerminateContextKHR

public static int clTerminateContextKHR(CLContext context)